/pallets/{palletId}/consts - Polkadot
Example code for the /pallets/{palletId}/consts REST method. Complete guide on how to use /pallets/{palletId}/consts REST in GetBlock Web3 documentation.
This endpoint returns the constants defined by a pallet, such as bonding durations or deposit amounts.
Endpoint
GET /pallets/{palletId}/constsPath Parameters
Parameter
Type
Description
palletId
string
Pallet name or index
Query Parameters
Parameter
Type
Required
Description
at
string
No
Block height or hash to query at
Request
curl --location 'https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/pallets/staking/consts'const response = await fetch('https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/pallets/staking/consts');
const data = await response.json();
console.log(data);import requests
response = requests.get('https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/pallets/staking/consts')
print(response.json())Response
{
"at": {
"hash": "0x255bc00927df8d33d561792635cbc6bde480a0a505eef5ff28630ece3fc15b32",
"height": "6754362"
},
"pallet": "staking",
"palletIndex": "7",
"items": [
{
"name": "BondingDuration",
"type": "u32",
"value": "28"
},
{
"name": "MaxNominations",
"type": "u32",
"value": "16"
}
]
}Response Fields
Field
Type
Description
pallet
string
Pallet name
items
array
Constants defined by the pallet
items[].name
string
Constant name
items[].value
string
Constant value
Use Cases
Parameter Reads: Read a pallet's on-chain constants
Staking UX: Show the bonding duration to users
Governance Tools: Read deposit and threshold constants
Documentation: Surface runtime parameters
Previous/pallets/assets/{assetId}/asset-info - Polkadot
Next/pallets/nomination-pools/{poolId} - Polkadot
Last updated
Was this helpful?